### Enumeration

# Gtk ScrollType

since: 4.0

#### Declaration

    enum Gtk.ScrollType

#### Description [src]

Scrolling types.

Available since: 4.0

#### Members

`GTK_SCROLL_NONE`

  No scrolling.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_SCROLL_JUMP`

  Jump to new location.

  - Value: `1`
  - Nickname: `jump`
  - Available since: 4.0
`GTK_SCROLL_STEP_BACKWARD`

  Step backward.

  - Value: `2`
  - Nickname: `step-backward`
  - Available since: 4.0
`GTK_SCROLL_STEP_FORWARD`

  Step forward.

  - Value: `3`
  - Nickname: `step-forward`
  - Available since: 4.0
`GTK_SCROLL_PAGE_BACKWARD`

  Page backward.

  - Value: `4`
  - Nickname: `page-backward`
  - Available since: 4.0
`GTK_SCROLL_PAGE_FORWARD`

  Page forward.

  - Value: `5`
  - Nickname: `page-forward`
  - Available since: 4.0
`GTK_SCROLL_STEP_UP`

  Step up.

  - Value: `6`
  - Nickname: `step-up`
  - Available since: 4.0
`GTK_SCROLL_STEP_DOWN`

  Step down.

  - Value: `7`
  - Nickname: `step-down`
  - Available since: 4.0
`GTK_SCROLL_PAGE_UP`

  Page up.

  - Value: `8`
  - Nickname: `page-up`
  - Available since: 4.0
`GTK_SCROLL_PAGE_DOWN`

  Page down.

  - Value: `9`
  - Nickname: `page-down`
  - Available since: 4.0
`GTK_SCROLL_STEP_LEFT`

  Step to the left.

  - Value: `10`
  - Nickname: `step-left`
  - Available since: 4.0
`GTK_SCROLL_STEP_RIGHT`

  Step to the right.

  - Value: `11`
  - Nickname: `step-right`
  - Available since: 4.0
`GTK_SCROLL_PAGE_LEFT`

  Page to the left.

  - Value: `12`
  - Nickname: `page-left`
  - Available since: 4.0
`GTK_SCROLL_PAGE_RIGHT`

  Page to the right.

  - Value: `13`
  - Nickname: `page-right`
  - Available since: 4.0
`GTK_SCROLL_START`

  Scroll to start.

  - Value: `14`
  - Nickname: `start`
  - Available since: 4.0
`GTK_SCROLL_END`

  Scroll to end.

  - Value: `15`
  - Nickname: `end`
  - Available since: 4.0